<?php
require_once 'AsdZend/Form.php';

class Asd_Form_AdminAnstract extends AsdZend_Form
{
    public function load()
    {
        $options = Asd_Application::getModel('Options');

        foreach ($this->getElements() as $key=>$elem) {
            $elem->setValue($options->getValue($elem->getName()));
        }

        return $this;
    }

    public function save()
    {
        $options = Asd_Application::getModel('Options');

        foreach ($this->getElements() as $elem) {
            if (!$elem->getAttrib('disabled')) {
                $options->setValue($elem->getName(), $elem->getValue());
            }
        }

        return $this;
    }
}